Passa al contenuto principale

SmsPhonebookContactPaginatedListResponse

Successful response with a page of SmsPhonebookContact

errorintegerrequired

Always 0 in a successful response

Constant value: 0
messagestring | nullnullablerequired

Always null in a successful response

data object[]required

Items of the page: an empty list beyond the last page

  • Array [
  • idintegerrequired
    phonebooksinteger[]required

    Ids of the phonebooks that contain the contact (GET /api/v3/sms-phonebooks/{phonebook_id})

    country objectrequired
    iso_code_2stringrequired

    ie. IT

    iso_code_3stringrequired

    ie. ITA

    country_namestringrequired

    Name of the country in Italian; the local name when there is no translation

    local_namestringrequired

    Name of the country in its own language, for example Deutschland

    phone_codestringrequired

    International calling code, without +, for example 39

    continentstringrequired

    Continent, in English, for example Europe or North America

    regionstringrequired

    Area of the country: EU (European Union) or EXTRAEU

    phone_numberstringrequired

    Phone number without the international prefix: the country is in country

    namestring | nullnullablerequired
    surnamestring | nullnullablerequired
    birth_datedatenullablerequired
  • ]
  • meta objectrequired

    Pagination of the list

    totalintegerrequired

    Number of items in the whole list

    countintegerrequired

    Number of items in this page: 0 beyond the last page

    pagesintegerrequired

    Number of pages of the list

    pageintegerrequired

    Number of this page, starting from 1

    per_pageintegerrequired

    Maximum number of items in a page

    SmsPhonebookContactPaginatedListResponse
    {
    "error": 0,
    "message": "string",
    "data": [
    {
    "id": 0,
    "phonebooks": [
    0
    ],
    "country": {
    "iso_code_2": "string",
    "iso_code_3": "string",
    "country_name": "string",
    "local_name": "string",
    "phone_code": "string",
    "continent": "string",
    "region": "string"
    },
    "phone_number": "string",
    "name": "string",
    "surname": "string",
    "birth_date": "2024-07-29"
    }
    ],
    "meta": {
    "total": 0,
    "count": 0,
    "pages": 0,
    "page": 0,
    "per_page": 0
    }
    }